MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000091VCMIGUI - Otherpublic2009-10-04 12:162016-10-17 05:09
ReporterTow dragon 
Assigned ToAVS 
PrioritylowSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.73 
Target VersionFixed in Version0.99 
Summary0000091: If hero has expert Air Magic, the Magic Arrow in Spell Book is shown with expert Earth Magic (UPDATED)
DescriptionIf the hero has 2 or more Magic Schools of the same highest level, VCMI picks them for the Magic Arrow icon frame in the following order:
1. Fire Magic
2. Air Magic
3. Water Magic
4. Earth Magic

In H3 the order was as follows:
1. Air Magic
2. Fire Magic
3. Earth Magic
4. Water Magic

Side bug:
Magic Arrow was also always (?) displayed 2nd after Haste in the spell book in H3. In VCMI it's 1st, while Haste is 2nd.
Steps To ReproduceSee the spell books of Septienna, Aislinn, Inteus & Sir Mullich in the map attached. Each has a different combination of 2 Expert Magic schools (however you'll first have to fix 0000482 if you want to open Septienna's spell book under VCMI ;)
Additional InformationOriginally reported as 0.73#29 here: http://forum.vcmi.eu/viewtopic.php?p=3189#3189 [^]
TagsNo tags attached.
Attached Filesjpg file icon 2010-11-18_MArrow083.jpg [^] (37,215 bytes) 2010-11-17 23:29


jpg file icon 2010-11-18_MArrowH3.jpg [^] (13,178 bytes) 2010-11-17 23:30


? file icon  VCMI_Tests_Objects.h3m [^] (15,852 bytes) 2010-11-17 23:53

- Relationships

-  Notes
(0001057)
Zamolxis (viewer)
2010-07-12 12:01

The screenshot attached to 0000527 can be used to confirm bug is still there in 0.81
(0001146)
Tow (developer)
2010-07-21 10:11

Fixed in r1679
(0001419)
Zamolxis (viewer)
2010-11-17 23:51

Improperly fixed (or else another change altered its behavior in 083).

See updated Description above:
- now the order of magic school picked is the one in the Map Editor (which makes me think it's like this since the fix)
- the H3 order was slightly different: Air>Fire>Earth>Water (I guess based on the logic that in general Earth is above Water, Fire above Earth, Air above Fire)
- a side minor issue noticed while doing comparative analysis on this between H3 & VCMI: in H3 Haste is always first, in VCMI Magic Arrow (if not a trivial change, then I can create a separate low report for this, so that you don't have to keep this one from being closed if the icon thing is solved)
(0002674)
douggie_m (reporter)
2012-06-14 15:12

Sorry, but this is correct. As I recall, Magic Arrow always was "universal", not air. And if your hero mastered, say, earth magic, then Magic Arrow would advance too, and it is okay for it to be displayed with sign(s) of any of four schools. It is not "air magic" specialty.

Internets are agree with me:
http://www.rpglegion.com/heroes3/spells/earth.htm [^]
http://www.rpglegion.com/heroes3/spells/water.htm [^]
http://www.rpglegion.com/heroes3/spells/fire.htm [^]
http://www.rpglegion.com/heroes3/spells/air.htm [^]

http://heroes.thelazy.net/wiki/Magic_Arrow [^]

> Magic Arrow belongs to all schools of magic. The school with the highest level will be used for calculations. If a unit has resistance or vulnerability to a certain school, they will transfer to Magic Arrow as well, regardless of the skills of the casting hero.
(0006843)
AVS (administrator)
2016-10-17 05:08

fixed in https://github.com/vcmi/vcmi/pull/240 [^]

- Issue History
Date Modified Username Field Change
2009-10-04 12:16 Tow dragon New Issue
2009-10-18 22:54 Zamolxis Description Updated View Revisions
2009-11-21 18:33 Zamolxis Note Added: 0000254
2009-11-21 18:33 Zamolxis Status new => confirmed
2010-05-29 20:57 Zamolxis Product Version => 0.73
2010-05-29 20:58 Zamolxis Note Deleted: 0000254
2010-07-12 12:01 Zamolxis Note Added: 0001057
2010-07-21 10:11 Tow Note Added: 0001146
2010-07-21 10:11 Tow Status confirmed => resolved
2010-07-21 10:11 Tow Fixed in Version => 0.89
2010-07-21 10:11 Tow Resolution open => fixed
2010-07-21 10:11 Tow Assigned To => Tow
2010-11-17 23:29 Zamolxis File Added: 2010-11-18_MArrow083.jpg
2010-11-17 23:30 Zamolxis File Added: 2010-11-18_MArrowH3.jpg
2010-11-17 23:43 Zamolxis Summary If hero has expert Air Magic, the Magic Arrow in Spell Book is shown with expert Earth Magic. => If hero has expert Air Magic, the Magic Arrow in Spell Book is shown with expert Earth Magic (UPDATED)
2010-11-17 23:43 Zamolxis Description Updated View Revisions
2010-11-17 23:43 Zamolxis Additional Information Updated View Revisions
2010-11-17 23:51 Zamolxis Note Added: 0001419
2010-11-17 23:51 Zamolxis Status resolved => feedback
2010-11-17 23:51 Zamolxis Resolution fixed => reopened
2010-11-17 23:53 Zamolxis File Added: VCMI_Tests_Objects.h3m
2010-11-17 23:57 Zamolxis Steps to Reproduce Updated View Revisions
2012-02-27 12:24 Warmonger Status feedback => assigned
2012-02-27 12:24 Warmonger Assigned To Tow => Warmonger
2012-06-14 15:12 douggie_m Note Added: 0002674
2016-10-16 23:40 AVS Assigned To Warmonger => AVS
2016-10-17 05:08 AVS Note Added: 0006843
2016-10-17 05:09 AVS Status assigned => resolved
2016-10-17 05:09 AVS Fixed in Version 0.82 => 0.99
2016-10-17 05:09 AVS Resolution reopened => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean